com.tibbo.aggregate.common.expression.parser

## Interface ExpressionParserVisitor

- All Known Implementing Classes:
    AbstractEvaluatingVisitor, DefaultEvaluatingVisitor, DumpingVisitor, FilterPredicateExpressionParserVisitor, ReferencesFinderVisitor

      public interface ExpressionParserVisitor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributedObject` | `visit(ASTAddNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTBitwiseAndNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTBitwiseNotNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTBitwiseOrNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTBitwiseXorNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTConditionalNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTDivNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTEQNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTFalseNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTFloatConstNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTFunctionNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTGENode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTGTNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTLeftShiftNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTLENode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTLogicalAndNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTLogicalNotNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTLogicalOrNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTLongConstNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTLTNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTModNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTMulNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTNENode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTNullNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTRegexMatchNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTRightShiftNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTStart node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTStringConstNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTSubtractNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTTrueNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTUnaryNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTUnsignedRightShiftNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(ASTValueReferenceNode node, EvaluationEnvironment data)`
    `AttributedObject` | `visit(SimpleNode node, EvaluationEnvironment data)`

- - ### Method Detail

    - #### visit

          AttributedObject visit(SimpleNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTStart node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTConditionalNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTLogicalOrNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTLogicalAndNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTBitwiseOrNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTBitwiseXorNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTBitwiseAndNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTEQNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTNENode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTRegexMatchNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTLTNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTGTNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTLENode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTGENode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTRightShiftNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTUnsignedRightShiftNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTLeftShiftNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTAddNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTSubtractNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTMulNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTDivNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTModNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTUnaryNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTLogicalNotNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTBitwiseNotNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTFunctionNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTValueReferenceNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTLongConstNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTFloatConstNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTStringConstNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTNullNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTTrueNode node,
                                 EvaluationEnvironment data)

    - #### visit

          AttributedObject visit(ASTFalseNode node,
                                 EvaluationEnvironment data)